Bug 143365 - strace -i: undesired behaviour
strace -i: undesired behaviour
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 18:51 EST by Dmitry V. Levin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-05 20:17:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.8-alt-fake_execve.patch (2.33 KB, patch)
2004-12-19 18:56 EST, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2004-12-19 18:51:33 EST
Description of problem:
strace -i produces unwanted warning and invalid value for instruction
pointer during first execve call.

Version-Release number of selected component (if applicable):
strace-4.5.8

Steps to Reproduce:
Actual results:
$ env -i strace -i /bin/true
upeek: ptrace(PTRACE_PEEKUSER,12345,48,0): No such process
[????????] execve("/bin/true", ["/bin/true"], [/* 0 vars */]) = 0
[08048080] _exit(0)

Expected results:
$ env -i strace -i /bin/true
[001b86f8] execve("/bin/true", ["/bin/true"], [/* 0 vars */]) = 0
[08048080] _exit(0)
Comment 1 Dmitry V. Levin 2004-12-19 18:56:02 EST
Created attachment 108866 [details]
strace-4.5.8-alt-fake_execve.patch

Proposed patch.

Side effect of this solution is that execve syscall will be always included
into the "strace -c" statistics.
Comment 2 Roland McGrath 2005-02-05 20:17:44 EST
I've put the patch in.

Note You need to log in before you can comment on or make changes to this bug.